var handlebars = require('handlebars'),
    fs = require('fs');


var emailBuilder = {};

emailBuilder.buildTemplateEmail = function (data) {


    var promise = new Promise(function (resolve, reject) {

        fs.readFile('./node_modules/asksuite-core/email-template/templates/main.hbs', 'utf-8', function (error, source) {


            console.log(source);

            var template = handlebars.compile(source);
            var result = template(data);

            console.log(result);
            resolve(result);
        })

    })

    return promise;
}

module.exports = emailBuilder;