const Knwl = require("knwl.js");
const knwlInstance = new Knwl('english');
knwlInstance.register('dates', require('./pt-br-date'));


let KeywordUtil = {};


KeywordUtil.removeDotsAndComma = function(string) {
    let regex = /[.,]/g;
    return string.replace(regex, '');
};


KeywordUtil.hasWordInString = function(string, words) {

    console.log(JSON.stringify(words));

    string = KeywordUtil.removeDotsAndComma(string);
    let re = new RegExp('(\\s|^)(?:' + words.join('|') + ')(?=\\s|$)');

    let value = false;
    let valueTemp =  string.match(re);

    if (valueTemp) {
        value = valueTemp.length > 0
    }

    return value;
};


KeywordUtil.hasNumber = function(string) {
    return /\d/.test(string);
};

KeywordUtil.hasDate = function(string){
    var instance = knwlInstance.init(string);
    var dates = knwlInstance.get('dates')
    return dates && dates.length > 0
};


module.exports = KeywordUtil;